libkate: Data Fields

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - b -

- kate_bitmap_init() : kate.h
- kate_bitmap_type : kate.h
- kate_bitmap_type_paletted : kate.h
- kate_bitmap_type_png : kate.h
- KATE_BITSTREAM_VERSION_MAJOR : kate.h
- KATE_BITSTREAM_VERSION_MINOR : kate.h

### - c -

- kate_clear() : kate.h
- kate_comment_add() : kate.h
- kate_comment_add_length() : kate.h
- kate_comment_add_tag() : kate.h
- kate_comment_clear() : kate.h
- kate_comment_init() : kate.h
- kate_comment_query() : kate.h
- kate_comment_query_count() : kate.h
- kate_curve_bezier_cubic_spline : kate.h
- kate_curve_bspline : kate.h
- kate_curve_catmull_rom_spline : kate.h
- kate_curve_get_point() : kate.h
- kate_curve_init() : kate.h
- kate_curve_linear : kate.h
- kate_curve_none : kate.h
- kate_curve_static : kate.h
- kate_curve_type : kate.h

### - d -

- kate_decode_eventout() : kate.h
- kate_decode_headerin() : kate.h
- kate_decode_init() : kate.h
- kate_decode_is_idheader() : kate.h
- kate_decode_packetin() : kate.h
- kate_decode_seek() : kate.h
- kate_duration_granule() : kate.h

### - e -

- KATE_E_BAD_GRANULE : kate.h
- KATE_E_BAD_PACKET : kate.h
- KATE_E_BAD_TAG : kate.h
- KATE_E_IMPL : kate.h
- KATE_E_INIT : kate.h
- KATE_E_INVALID_PARAMETER : kate.h
- KATE_E_LIMIT : kate.h
- KATE_E_NOT_FOUND : kate.h
- KATE_E_NOT_KATE : kate.h
- KATE_E_OUT_OF_MEMORY : kate.h
- KATE_E_TEXT : kate.h
- KATE_E_VERSION : kate.h
- kate_encode_add_bitmap() : kate.h
- kate_encode_add_bitmap_index() : kate.h
- kate_encode_add_motion() : kate.h
- kate_encode_add_motion_index() : kate.h
- kate_encode_finish() : kate.h
- kate_encode_get_granule() : kate.h
- kate_encode_headers() : kate.h
- kate_encode_init() : kate.h
- kate_encode_keepalive() : kate.h
- kate_encode_repeat() : kate.h
- kate_encode_set_bitmap() : kate.h
- kate_encode_set_bitmap_index() : kate.h
- kate_encode_set_font_mapping_index() : kate.h
- kate_encode_set_id() : kate.h
- kate_encode_set_language() : kate.h
- kate_encode_set_markup_type() : kate.h
- kate_encode_set_palette() : kate.h
- kate_encode_set_palette_index() : kate.h
- kate_encode_set_region() : kate.h
- kate_encode_set_region_index() : kate.h
- kate_encode_set_secondary_style() : kate.h
- kate_encode_set_secondary_style_index() : kate.h
- kate_encode_set_style() : kate.h
- kate_encode_set_style_index() : kate.h
- kate_encode_set_text_directionality() : kate.h
- kate_encode_set_text_encoding() : kate.h
- kate_encode_text() : kate.h

### - f -

- kate_font_get_index_from_code_point() : kate.h

### - g -

- kate_get_bitstream_version() : kate.h
- kate_get_bitstream_version_string() : kate.h
- kate_get_version() : kate.h
- kate_get_version_string() : kate.h
- kate_granule_duration() : kate.h
- kate_granule_shift() : kate.h
- kate_granule_split_time() : kate.h
- kate_granule_time() : kate.h

### - h -

- kate_high_decode_clear() : kate.h
- kate_high_decode_get_comments() : kate.h
- kate_high_decode_init() : kate.h
- kate_high_decode_packetin() : kate.h

### - i -

- kate_info_add_bitmap() : kate.h
- kate_info_add_curve() : kate.h
- kate_info_add_font_mapping() : kate.h
- kate_info_add_font_range() : kate.h
- kate_info_add_motion() : kate.h
- kate_info_add_palette() : kate.h
- kate_info_add_region() : kate.h
- kate_info_add_style() : kate.h
- kate_info_clear() : kate.h
- kate_info_init() : kate.h
- kate_info_matches_language() : kate.h
- kate_info_no_limits() : kate.h
- kate_info_remove_markup() : kate.h
- kate_info_set_category() : kate.h
- kate_info_set_granule_encoding() : kate.h
- kate_info_set_language() : kate.h
- kate_info_set_markup_type() : kate.h
- kate_info_set_original_canvas_size() : kate.h
- kate_info_set_text_directionality() : kate.h

### - l -

- kate_l2r_t2b : kate.h

### - m -

- kate_markup_none : kate.h
- kate_markup_simple : kate.h
- kate_markup_type : kate.h
- kate_millionths : kate.h
- kate_motion_get_point() : kate.h
- kate_motion_init() : kate.h
- kate_motion_mapping : kate.h
- kate_motion_mapping_bitmap_size : kate.h
- kate_motion_mapping_event_duration : kate.h
- kate_motion_mapping_frame : kate.h
- kate_motion_mapping_none : kate.h
- kate_motion_mapping_region : kate.h
- kate_motion_mapping_user : kate.h
- kate_motion_mapping_window : kate.h
- kate_motion_semantics : kate.h
- kate_motion_semantics_background_color_ba : kate.h
- kate_motion_semantics_background_color_rg : kate.h
- kate_motion_semantics_bitmap_position : kate.h
- kate_motion_semantics_bitmap_size : kate.h
- kate_motion_semantics_draw : kate.h
- kate_motion_semantics_draw_color_ba : kate.h
- kate_motion_semantics_draw_color_rg : kate.h
- kate_motion_semantics_draw_width : kate.h
- kate_motion_semantics_glyph_pointer_1 : kate.h
- kate_motion_semantics_glyph_pointer_1_bitmap : kate.h
- kate_motion_semantics_glyph_pointer_2 : kate.h
- kate_motion_semantics_glyph_pointer_2_bitmap : kate.h
- kate_motion_semantics_glyph_pointer_3 : kate.h
- kate_motion_semantics_glyph_pointer_3_bitmap : kate.h
- kate_motion_semantics_glyph_pointer_4 : kate.h
- kate_motion_semantics_glyph_pointer_4_bitmap : kate.h
- kate_motion_semantics_horizontal_margins : kate.h
- kate_motion_semantics_marker1_bitmap : kate.h
- kate_motion_semantics_marker1_position : kate.h
- kate_motion_semantics_marker2_bitmap : kate.h
- kate_motion_semantics_marker2_position : kate.h
- kate_motion_semantics_marker3_bitmap : kate.h
- kate_motion_semantics_marker3_position : kate.h
- kate_motion_semantics_marker4_bitmap : kate.h
- kate_motion_semantics_marker4_position : kate.h
- kate_motion_semantics_region_position : kate.h
- kate_motion_semantics_region_size : kate.h
- kate_motion_semantics_style_morph : kate.h
- kate_motion_semantics_text_alignment_ext : kate.h
- kate_motion_semantics_text_alignment_int : kate.h
- kate_motion_semantics_text_color_ba : kate.h
- kate_motion_semantics_text_color_rg : kate.h
- kate_motion_semantics_text_path : kate.h
- kate_motion_semantics_text_path_section : kate.h
- kate_motion_semantics_text_position : kate.h
- kate_motion_semantics_text_size : kate.h
- kate_motion_semantics_text_visible_section : kate.h
- kate_motion_semantics_time : kate.h
- kate_motion_semantics_user : kate.h
- kate_motion_semantics_vertical_margins : kate.h
- kate_motion_semantics_z : kate.h

### - o -

- kate_ogg_decode_headerin() : oggkate.h
- kate_ogg_decode_is_idheader() : oggkate.h
- kate_ogg_decode_packetin() : oggkate.h
- kate_ogg_encode_finish() : oggkate.h
- kate_ogg_encode_headers() : oggkate.h
- kate_ogg_encode_keepalive() : oggkate.h
- kate_ogg_encode_repeat() : oggkate.h
- kate_ogg_encode_text() : oggkate.h

### - p -

- kate_packet_clear() : kate.h
- kate_packet_init() : kate.h
- kate_packet_wrap() : kate.h
- kate_palette_init() : kate.h
- kate_percentage : kate.h
- kate_pixel : kate.h

### - r -

- kate_r2l_t2b : kate.h
- kate_region_init() : kate.h

### - s -

- kate_space_metric : kate.h
- kate_style_init() : kate.h

### - t -

- kate_t2b_l2r : kate.h
- kate_t2b_r2l : kate.h
- kate_text_directionality : kate.h
- kate_text_encoding : kate.h
- kate_text_get_character() : kate.h
- kate_text_remove_markup() : kate.h
- kate_text_set_character() : kate.h
- kate_text_validate() : kate.h
- kate_tracker_clear() : kate.h
- kate_tracker_get_text_path_position() : kate.h
- kate_tracker_init() : kate.h
- kate_tracker_morph_styles() : kate.h
- kate_tracker_remap() : kate.h
- kate_tracker_update() : kate.h
- kate_tracker_update_property_at_duration() : kate.h

### - u -

- kate_utf8 : kate.h

### - v -

- KATE_VERSION_MAJOR : kate.h
- KATE_VERSION_MINOR : kate.h
- KATE_VERSION_PATCH : kate.h

### - w -

- kate_wrap_mode : kate.h
- kate_wrap_none : kate.h
- kate_wrap_word : kate.h